Bug 1124979 - [RFE][Sprint 49] Documentation does not cover --from-code
Summary: [RFE][Sprint 49] Documentation does not cover --from-code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Documentation
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Timothy
QA Contact: brice
URL:
Whiteboard:
Depends On:
Blocks: 1124980
TreeView+ depends on / blocked
 
Reported: 2014-07-30 19:13 UTC by brice
Modified: 2016-11-08 06:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1124980 (view as bug list)
Environment:
Last Closed: 2014-09-15 04:54:23 UTC


Attachments (Terms of Use)

Description brice 2014-07-30 19:13:20 UTC
Description of problem:
The User Guide does not cover how to create an application from a git URL.

From <rhc create-app --help>

--from-code URL           URL to a Git repository that will become the initial contents of the application

Information can also be found on the Source Code bit on the Console when you create an application (the screen where you enter your app's name and indicate if it's scaling or not).


Additional info:

Could probably be in the Creating an Aplication section:

https://access.redhat.com/documentation/en-US/OpenShift_Online/2.0/html/User_Guide/Creating_an_Application5.html

Note that there is also the table at the start of the topic that has the current options for <rhc create-app>. This will need to be added to this table too.

Comment 1 Timothy 2014-08-18 02:24:30 UTC
DOC UPDATE: Updated OpenShift Online User Guide with details on the above "--from code" option.


Note You need to log in before you can comment on or make changes to this bug.